/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增甲方企业企业信息 POST /api/FirstPartyCompany/AddFirstPartyCompany */
export async function addFirstPartyCompany(
  body: API.AddFirstPartyCompanyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FirstPartyCompany/AddFirstPartyCompany', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增甲方企业审核信息 POST /api/FirstPartyCompany/AddFirstPartyCompanyAudit */
export async function addFirstPartyCompanyAudit(
  body: API.AddFirstPartyCompanyAuditInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FirstPartyCompany/AddFirstPartyCompanyAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取甲方企业审核详情 GET /api/FirstPartyCompany/GetFirstPartyCompanyAuditDatilById */
export async function getFirstPartyCompanyAuditDatilById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetFirstPartyCompanyAuditDatilByIdParams,
  options?: API.RequestConfig
) {
  return request<API.FirstPartyCompanyAuditDatilOutput>(
    '/api/FirstPartyCompany/GetFirstPartyCompanyAuditDatilById',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取甲方企业审核分页列表 POST /api/FirstPartyCompany/GetFirstPartyCompanyAuditPage */
export async function getFirstPartyCompanyAuditPage(
  body: API.QueryFirstPartyCompanyAuditListInput,
  options?: API.RequestConfig
) {
  return request<API.FirstPartyCompanyAuditListOutputPageOutput>(
    '/api/FirstPartyCompany/GetFirstPartyCompanyAuditPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取甲方企业企业信息详细 POST /api/FirstPartyCompany/GetFirstPartyCompanyDetail */
export async function getFirstPartyCompanyDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetFirstPartyCompanyDetailParams,
  options?: API.RequestConfig
) {
  return request<API.FirstPartyCompanyDto>('/api/FirstPartyCompany/GetFirstPartyCompanyDetail', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取甲方企业分页列表 POST /api/FirstPartyCompany/GetFirstPartyCompanyListPage */
export async function getFirstPartyCompanyListPage(
  body: API.QueryFirstPartyCompanyListInput,
  options?: API.RequestConfig
) {
  return request<API.FirstPartyCompanyListOutputPageOutput>(
    '/api/FirstPartyCompany/GetFirstPartyCompanyListPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取甲方企业简单列表 GET /api/FirstPartyCompany/GetFirstPartyCompanySimpleList */
export async function getFirstPartyCompanySimpleList(options?: API.RequestConfig) {
  return request<API.EnterpriseSimpleOutput[]>(
    '/api/FirstPartyCompany/GetFirstPartyCompanySimpleList',
    {
      method: 'GET',
      ...(options || {}),
    }
  );
}

/** 获取我的甲方企业企业信息 POST /api/FirstPartyCompany/GetMyFirstPartyCompanyInfo */
export async function getMyFirstPartyCompanyInfo(options?: API.RequestConfig) {
  return request<API.MyFirstPartyCompanyDto>('/api/FirstPartyCompany/GetMyFirstPartyCompanyInfo', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 设置甲方企业审核状态 POST /api/FirstPartyCompany/SetFirstPartyCompanyAuditStatus */
export async function setFirstPartyCompanyAuditStatus(
  body: API.SetFirstPartyCompanyAuditStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FirstPartyCompany/SetFirstPartyCompanyAuditStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新甲方企业企业信息 POST /api/FirstPartyCompany/UpdateFirstPartyCompany */
export async function updateFirstPartyCompany(
  body: API.UpdateFirstPartyCompanyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FirstPartyCompany/UpdateFirstPartyCompany', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新甲方企业审核信息 POST /api/FirstPartyCompany/UpdateFirstPartyCompanyAudit */
export async function updateFirstPartyCompanyAudit(
  body: API.UpdateFirstPartyCompanyAuditInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FirstPartyCompany/UpdateFirstPartyCompanyAudit', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
